pmlvalid(1)

NAME
pmlvalid - validate PhotoML XML files

SYNOPSIS
pmlvalid [-h] xmlfile [xmlfile] ...

DESCRIPTION
pmlvalid performs a two-stage check on PhotoML XML files. The first stage consists of a call to xmllint for validation against the DTD, and the second stage checks a number of additional data-type and id uniqueness requirements.

OPTIONS
pmlvalid accepts the following options:

-h  Display usage information.

AUTHOR
Brendt Wohlberg <photoml@wohlberg.net>

COPYRIGHT
Copyright © 2005-2007 Brendt Wohlberg <photoml@wohlberg.net>

This program is free software; you can redistribute it and/or modify it under the terms of version 2 of the GNU General Public License <http://www.gnu.org/licenses/gpl-2.0.txt>.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
xmllint(1), xsltproc(1)